#!/usr/bin/perl
# Author:  J. Gerth; Last modification:  2/13/2008

if ( $#ARGV < 0 ) {
    print "Usage: $0 output_file_name\n";
    exit;
}

$gda = `ls /data/fxa/Grid/SBN/rawGrib2 | wc -l`;
$gdb = `ls /data/fxa/Grid/SBN/rawGrib2B | wc -l`;

if ($gda > $gdb) {
    $fdir = "/data/fxa/Grid/SBN/rawGrib2B";
} else {
    $fdir = "/data/fxa/Grid/SBN/rawGrib2";
}

$file = $fdir."/".@ARGV[0];
$ext = "000";
while ( -e $file.".".$ext ) {
    $ext++;
}

$fifi = $file.".".$ext;
open ( OUT, ">$fifi" ) || die "Cannot open $file: $!\n";

while ($bul = <STDIN>) {
    print OUT $bul;
}
